<?php
function savedata ($filename, $data, $rez="a+"){
$f=fopen("$filename", $rez) or die ("Не возможно записать данные в файл!");
flock($f,LOCK_EX);
fwrite($f,serialize($data)."\n");
flock($f,LOCK_UN);
fclose($f);
//chmod ("$filename",0777);
}
function save ($filename, $data, $rez="a+") {
@chmod ("$filename", 0777);
$f=fopen("$filename","$rez") or die ("Не возможно записать данные в файл!");
flock($f,LOCK_EX);
fwrite($f,$data);
flock($f,LOCK_UN);
fclose($f);
@chmod ("$filename", 0604);
}
function loaddata ($filename){
$f=fopen("$filename","r") or die ("Файл не существует!");
flock($f,LOCK_SH);
while(!feof($f)){$data[]=unserialize(fgets($f));}
flock($f,LOCK_UN);
fclose($f);
return $data;
}
function loadsimpledata ($filename){
$f=fopen("$filename","r") or die ("Файл не существует!");
flock($f,LOCK_SH);
$data=unserialize(fgets($f));
flock($f,LOCK_UN);
fclose($f);
return $data;
}
function load ($filename){
$f=fopen("$filename","r") or die ("Файл не существует!");
flock($f,LOCK_SH);
while(!feof($f)){$data[]=fgets($f);}
flock($f,LOCK_UN);
fclose($f);
return $data;
}
function loadsimple ($filename){
$f=fopen("$filename","r") or die ("Файл не существует!");
flock($f,LOCK_SH);
$data=fgets($f);
flock($f,LOCK_UN);
fclose($f);
return $data;
}
function loadlist ($filename) {
$f=fopen("$filename", "rt");
flock($f,LOCK_SH);
$data=explode("\n", fread($f, filesize("$filename")));
flock($f,LOCK_UN);
fclose($f);
return $data;
}
function banerorotate($filename) {
$array=file("$filename");
$baner=$array[mt_rand(0,count($array)-1)];
return $baner;
}
function umnyak ($filename) {
$f=fopen("$filename", "r") or die ("Файл не существует!");
for ($i=0; $s=fgets($f,1000); $i++) {
if (mt_rand(0, $i)==0) {$fraze=$s;}
}
return $fraze;
}
function filtermessage($message) {
if ((preg_match('/meta|iframe/is', $message)!=1)&&(preg_match('/<[^>]+>/is', $message)!=1)) {
$message=strip_tags($message);
$message=preg_replace('/<[^>]+>/is', '', $message);
$message=preg_replace('/\r/', '', $message);
$message=preg_replace('/\n/', ' ', $message);
$message=preg_replace('/\r\n/', ' ', $message);
$message=stripslashes($message);
$message=trim($message);
$message=htmlspecialchars($message);
}
else {$message="";}
return $message;
}
function getphpcodedpage($page) {
ob_start();
include($page);
$codepage=ob_get_contents();
ob_end_clean();
}
function statistika($statdbfilename) {
$filename=$statdbfilename;
$rez="a+";
$data[date]=date("d.m.Y",time()+$time_offset);
$data[time]=date("H:i:s",time()+$time_offset);
$data[agent]=$_SERVER[HTTP_USER_AGENT];
$data[lang]=$_SERVER[HTTP_ACCEPT_LANGUAGE];
$data[ip]=$_SERVER[REMOTE_ADDR];
$data[host]=gethostbyaddr($_SERVER[REMOTE_ADDR]);
$data[referer]=$_GET[referer];
$data[res]=$_GET[res];
savedata("$filename", $data, "$rez");
}
?>